Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"image": "<string>",
"link": "<string>",
"jobId": "<string>",
"error": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Thumbnail generator
Get thumbnail
Fetch one thumbnail generation job by ID, including its status, source context, and finished thumbnail images ready for download.
GET
/
thumbnails
/
{generationId}
Error
A valid request URL is required to generate request examples{
"success": true,
"data": {
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"image": "<string>",
"link": "<string>",
"jobId": "<string>",
"error": "<string>",
"completedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}GET /thumbnails/{generationId}
Path parameter
Response
{
"success": true,
"data": {
"id": "cm123abc",
"title": "How to grow on YouTube in 2026",
"image": "https://files.tryunsora.com/....jpg",
"status": "COMPLETED",
"error": null,
"completedAt": "2026-06-02T12:01:00.000Z",
"createdAt": "2026-06-02T12:00:00.000Z",
"updatedAt": "2026-06-02T12:01:00.000Z"
}
}
Example
curl "https://mvp.tryunsora.com/api/v1/thumbnails/GENERATION_ID" \
-H "Authorization: Bearer uns_YOUR_API_KEY"

